com.verisign.epp.codec.nv

## Enum EPPNameVerificationDocument.FileType

- java.lang.Object
- - java.lang.Enum<EPPNameVerificationDocument.FileType>
  - - com.verisign.epp.codec.nv.EPPNameVerificationDocument.FileType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EPPNameVerificationDocument.FileType>
  Enclosing class:
    EPPNameVerificationDocument

      public static enum EPPNameVerificationDocument.FileType
      extends java.lang.Enum<EPPNameVerificationDocument.FileType>

  File Type that include:
  - `PDF` - PDF file type
  - `JPG` - JPG file type.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `JPG`
    `PDF`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EPPNameVerificationDocument.FileType` | `getFileType(java.lang.String aString)` Get the file type enumerated value given the matching string.
    `java.lang.String` | `toString()` Convert the enumerated `Role` value to a `String`.
    `static EPPNameVerificationDocument.FileType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EPPNameVerificationDocument.FileType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PDF

          public static final EPPNameVerificationDocument.FileType PDF

    - #### JPG

          public static final EPPNameVerificationDocument.FileType JPG

  - ### Method Detail

    - #### values

          public static EPPNameVerificationDocument.FileType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EPPNameVerificationDocument.FileType c : EPPNameVerificationDocument.FileType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EPPNameVerificationDocument.FileType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getFileType

          public static EPPNameVerificationDocument.FileType getFileType(java.lang.String aString)

      Get the file type enumerated value given the matching string.
      Parameters:
        `aString` - `FileType` enumerated string to convert to an enumerated `FileType` instance.
      Returns:
        Enumerated `FileType` value matching the `String`.
      Throws:
        `java.security.InvalidParameterException` - If `aString` does not match an enumerated `FileType` string value.

    - #### toString

          public java.lang.String toString()

      Convert the enumerated `Role` value to a `String`.
      Overrides:
        `toString` in class `java.lang.Enum<EPPNameVerificationDocument.FileType>`

Copyright © VeriSign Inc. All Rights Reserved.